## org.eclipse.m2m.qvt.oml.debug.core.app
Class DebugTransformationRunner

    java.lang.Object
      org.eclipse.m2m.internal.qvt.oml.TransformationRunner
          org.eclipse.m2m.qvt.oml.debug.core.app.DebugTransformationRunner

    public class DebugTransformationRunner

extends org.eclipse.m2m.internal.qvt.oml.TransformationRunner

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.m2m.internal.qvt.oml.TransformationRunner
`org.eclipse.m2m.internal.qvt.oml.TransformationRunner.Executor`

Constructor Summary
`DebugTransformationRunner(URI transformationURI, EPackage.Registry packageRegistry, java.util.List<URI> modelParamURIs)`

Method Summary
`DebuggableExecutorAdapter` `createDebugableAdapter(ExecutionContext context)`
`protected org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory` `getEnvFactory()`
`protected void` `handleExecution(ExecutionDiagnostic execDiagnostic)`
`protected void` `handleLoadExtents(Diagnostic diagnostic)`
`protected void` `handleLoadTransformation(Diagnostic diagnostic)`
`protected void` `handleSaveExtents(Diagnostic diagnostic)`
`void` `setErrorLog(java.io.PrintWriter errorLog)`

Methods inherited from class org.eclipse.m2m.internal.qvt.oml.TransformationRunner
`execute, getExecutor, getTraceFileURI, getTransformationURI, initialize, setPackageRegistry, setTraceFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugTransformationRunner

    public DebugTransformationRunner(URI transformationURI,
                                     EPackage.Registry packageRegistry,
                                     java.util.List<URI> modelParamURIs)

Method Detail

### setErrorLog

    public void setErrorLog(java.io.PrintWriter errorLog)

### getEnvFactory

    protected org.eclipse.m2m.internal.qvt.oml.ast.env.QvtOperationalEnvFactory getEnvFactory()

  Overrides:
    `getEnvFactory` in class `org.eclipse.m2m.internal.qvt.oml.TransformationRunner`

### handleLoadExtents

    protected void handleLoadExtents(Diagnostic diagnostic)

  Overrides:
    `handleLoadExtents` in class `org.eclipse.m2m.internal.qvt.oml.TransformationRunner`

### handleLoadTransformation

    protected void handleLoadTransformation(Diagnostic diagnostic)

  Overrides:
    `handleLoadTransformation` in class `org.eclipse.m2m.internal.qvt.oml.TransformationRunner`

### handleExecution

    protected void handleExecution(ExecutionDiagnostic execDiagnostic)

  Overrides:
    `handleExecution` in class `org.eclipse.m2m.internal.qvt.oml.TransformationRunner`

### handleSaveExtents

    protected void handleSaveExtents(Diagnostic diagnostic)

  Overrides:
    `handleSaveExtents` in class `org.eclipse.m2m.internal.qvt.oml.TransformationRunner`

### createDebugableAdapter

    public DebuggableExecutorAdapter createDebugableAdapter(ExecutionContext context)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.